
/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/TRCSCHDG.H__   1.7.1.0.1.2   09 Dec 1996 10:16:18   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/TRCSCHDG.H__  $
** 
**
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name:  TRCSCHDG.H
//
//  Description:The header file for the class: CTrcSchDg
//
//  Author:     Lane Li
//
//  Date:       09/10/95
//
//  Modification:
//
//      1. 09/10/95, Initial version
//
//
//  Copyright (C) 1995 Microtek International. All rights reserved.
//
/////////////////////////////////////////////////////////////////////////////

// trcschdg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTrcSchDg dialog

class CTrcSchDg : public CDialog
{
// Construction
public:
	CTrcSchDg(CWnd* pParent = NULL, int nTrcMode=1);	// standard constructor
	
	enum { SEARCH_FRAME = 1, SEARCH_ADDRESS = 2, SEARCH_DATA = 4,
		   SEARCH_STATUS = 8, SEARCH_SPARE = 16, SEARCH_INSTRUCTION = 32};

// Dialog Data
	//{{AFX_DATA(CTrcSchDg)
	enum { IDD = IDD_TRC_SEARCH };
	CButton	m_btnSearch;
	CComboBox	m_comboSearchWhat;
	CString	m_strSearchWhat;
	static BOOL	m_bSearchAddress;
	static BOOL	m_bSearchData;
	static BOOL	m_bSearchInstruction;
	static BOOL	m_bSearchSpare;
	static BOOL	m_bSearchStatus;
	static BOOL	m_bSearchFrame;
	//}}AFX_DATA

// Implementation
protected:
	BOOL	m_isDropdown;                       
	int		m_nTrcMode;
	static int		m_nSearchMode;
	
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CTrcSchDg)
	afx_msg void OnTrcSearchCancel();
	afx_msg void OnTrcSearchSearch();
	virtual BOOL OnInitDialog();
	afx_msg void OnEditchangeTrcSearchWhat();
	afx_msg void OnSelchangeTrcSearchWhat();
	afx_msg void OnTrcSearchFrame();
	afx_msg void OnTrcSearchData();
	afx_msg void OnTrcSearchAddress();
	afx_msg void OnTrcSearchInstruction();
	afx_msg void OnTrcSearchSpare();
	afx_msg void OnTrcSearchStatus();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
